/*
	filename here

	Copyright (c) 2000, Peter Siebold

	This file is part of the aems555 project.

	aems555 software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	aems555 software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any aems555 software.  If not, see <http://www.gnu.org/licenses/>.
	
	Many thanks to Peter Siebold for allowing us to redistribute his code under GPL!
*/


/*----------------------------------------------------------------------------------**
** Copyright (c) 2000, Peter Siebold												**
** All rights reserved.                                                             **
** Redistribution and use in source and binary forms, with or without modification, **
** are permitted provided that the following conditions are met:                    **
**                                                                                  **
**                                                                                  **
** Redistributions of source code must retain the above copyright notice, this list **
**  of conditions and the following disclaimer.                                     **
**                                                                                  **
** Redistributions in binary form must reproduce the above copyright notice, this   **
** list of conditions and the following disclaimer in the documentation and/or      **
** other materials provided with the distribution.                                  **
**                                                                                  **
** Neither the name of "aems555" nor the names of its contributors may be used      **
** to endorse or promote products derived from this software without specific prior **
** written permission.                                                              **
**                                                                                  **
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''    **
** AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE        **
** IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE   **
** DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY      **
** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES       **
** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;     **
** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON   **
** ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          **
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS    **
** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                     **
**----------------------------------------------------------------------------------**
**																					**
**----------------------------------------------------------------------------------**
**    EFI code for the ppc555														**
**																					**
**	File:		emuram.h															**
**	Desc:		Support tpu emulation code for pmmx, pmma, and itc functions		**
**																					**
**																					**
**	Author:		Peter Siebold														**
**	Tools:   	GNU tool chain														**
**																					**
**----------------------------------------------------------------------------------*/

const u_short count2mV[] = {
0       ,
5       ,
10      ,
15      ,
20      ,
24      ,
29      ,
34      ,
39      ,
44      ,
49      ,
54      ,
59      ,
64      ,
68      ,
73      ,
78      ,
83      ,
88      ,
93      ,
98      ,
103     ,
108     ,
112     ,
117     ,
122     ,
127     ,
132     ,
137     ,
142     ,
147     ,
152     ,
156     ,
161     ,
166     ,
171     ,
176     ,
181     ,
186     ,
191     ,
196     ,
200     ,
205     ,
210     ,
215     ,
220     ,
225     ,
230     ,
235     ,
239     ,
244     ,
249     ,
254     ,
259     ,
264     ,
269     ,
274     ,
279     ,
283     ,
288     ,
293     ,
298     ,
303     ,
308     ,
313     ,
318     ,
323     ,
327     ,
332     ,
337     ,
342     ,
347     ,
352     ,
357     ,
362     ,
367     ,
371     ,
376     ,
381     ,
386     ,
391     ,
396     ,
401     ,
406     ,
411     ,
415     ,
420     ,
425     ,
430     ,
435     ,
440     ,
445     ,
450     ,
455     ,
459     ,
464     ,
469     ,
474     ,
479     ,
484     ,
489     ,
494     ,
499     ,
503     ,
508     ,
513     ,
518     ,
523     ,
528     ,
533     ,
538     ,
543     ,
547     ,
552     ,
557     ,
562     ,
567     ,
572     ,
577     ,
582     ,
587     ,
591     ,
596     ,
601     ,
606     ,
611     ,
616     ,
621     ,
626     ,
630     ,
635     ,
640     ,
645     ,
650     ,
655     ,
660     ,
665     ,
670     ,
674     ,
679     ,
684     ,
689     ,
694     ,
699     ,
704     ,
709     ,
714     ,
718     ,
723     ,
728     ,
733     ,
738     ,
743     ,
748     ,
753     ,
758     ,
762     ,
767     ,
772     ,
777     ,
782     ,
787     ,
792     ,
797     ,
802     ,
806     ,
811     ,
816     ,
821     ,
826     ,
831     ,
836     ,
841     ,
846     ,
850     ,
855     ,
860     ,
865     ,
870     ,
875     ,
880     ,
885     ,
890     ,
894     ,
899     ,
904     ,
909     ,
914     ,
919     ,
924     ,
929     ,
934     ,
938     ,
943     ,
948     ,
953     ,
958     ,
963     ,
968     ,
973     ,
978     ,
982     ,
987     ,
992     ,
997     ,
1002    ,
1007    ,
1012    ,
1017    ,
1022    ,
1026    ,
1031    ,
1036    ,
1041    ,
1046    ,
1051    ,
1056    ,
1061    ,
1065    ,
1070    ,
1075    ,
1080    ,
1085    ,
1090    ,
1095    ,
1100    ,
1105    ,
1109    ,
1114    ,
1119    ,
1124    ,
1129    ,
1134    ,
1139    ,
1144    ,
1149    ,
1153    ,
1158    ,
1163    ,
1168    ,
1173    ,
1178    ,
1183    ,
1188    ,
1193    ,
1197    ,
1202    ,
1207    ,
1212    ,
1217    ,
1222    ,
1227    ,
1232    ,
1237    ,
1241    ,
1246    ,
1251    ,
1256    ,
1261    ,
1266    ,
1271    ,
1276    ,
1281    ,
1285    ,
1290    ,
1295    ,
1300    ,
1305    ,
1310    ,
1315    ,
1320    ,
1325    ,
1329    ,
1334    ,
1339    ,
1344    ,
1349    ,
1354    ,
1359    ,
1364    ,
1369    ,
1373    ,
1378    ,
1383    ,
1388    ,
1393    ,
1398    ,
1403    ,
1408    ,
1413    ,
1417    ,
1422    ,
1427    ,
1432    ,
1437    ,
1442    ,
1447    ,
1452    ,
1457    ,
1461    ,
1466    ,
1471    ,
1476    ,
1481    ,
1486    ,
1491    ,
1496    ,
1500    ,
1505    ,
1510    ,
1515    ,
1520    ,
1525    ,
1530    ,
1535    ,
1540    ,
1544    ,
1549    ,
1554    ,
1559    ,
1564    ,
1569    ,
1574    ,
1579    ,
1584    ,
1588    ,
1593    ,
1598    ,
1603    ,
1608    ,
1613    ,
1618    ,
1623    ,
1628    ,
1632    ,
1637    ,
1642    ,
1647    ,
1652    ,
1657    ,
1662    ,
1667    ,
1672    ,
1676    ,
1681    ,
1686    ,
1691    ,
1696    ,
1701    ,
1706    ,
1711    ,
1716    ,
1720    ,
1725    ,
1730    ,
1735    ,
1740    ,
1745    ,
1750    ,
1755    ,
1760    ,
1764    ,
1769    ,
1774    ,
1779    ,
1784    ,
1789    ,
1794    ,
1799    ,
1804    ,
1808    ,
1813    ,
1818    ,
1823    ,
1828    ,
1833    ,
1838    ,
1843    ,
1848    ,
1852    ,
1857    ,
1862    ,
1867    ,
1872    ,
1877    ,
1882    ,
1887    ,
1891    ,
1896    ,
1901    ,
1906    ,
1911    ,
1916    ,
1921    ,
1926    ,
1931    ,
1935    ,
1940    ,
1945    ,
1950    ,
1955    ,
1960    ,
1965    ,
1970    ,
1975    ,
1979    ,
1984    ,
1989    ,
1994    ,
1999    ,
2004    ,
2009    ,
2014    ,
2019    ,
2023    ,
2028    ,
2033    ,
2038    ,
2043    ,
2048    ,
2053    ,
2058    ,
2063    ,
2067    ,
2072    ,
2077    ,
2082    ,
2087    ,
2092    ,
2097    ,
2102    ,
2107    ,
2111    ,
2116    ,
2121    ,
2126    ,
2131    ,
2136    ,
2141    ,
2146    ,
2151    ,
2155    ,
2160    ,
2165    ,
2170    ,
2175    ,
2180    ,
2185    ,
2190    ,
2195    ,
2199    ,
2204    ,
2209    ,
2214    ,
2219    ,
2224    ,
2229    ,
2234    ,
2239    ,
2243    ,
2248    ,
2253    ,
2258    ,
2263    ,
2268    ,
2273    ,
2278    ,
2283    ,
2287    ,
2292    ,
2297    ,
2302    ,
2307    ,
2312    ,
2317    ,
2322    ,
2326    ,
2331    ,
2336    ,
2341    ,
2346    ,
2351    ,
2356    ,
2361    ,
2366    ,
2370    ,
2375    ,
2380    ,
2385    ,
2390    ,
2395    ,
2400    ,
2405    ,
2410    ,
2414    ,
2419    ,
2424    ,
2429    ,
2434    ,
2439    ,
2444    ,
2449    ,
2454    ,
2458    ,
2463    ,
2468    ,
2473    ,
2478    ,
2483    ,
2488    ,
2493    ,
2498    ,
2502    ,
2507    ,
2512    ,
2517    ,
2522    ,
2527    ,
2532    ,
2537    ,
2542    ,
2546    ,
2551    ,
2556    ,
2561    ,
2566    ,
2571    ,
2576    ,
2581    ,
2586    ,
2590    ,
2595    ,
2600    ,
2605    ,
2610    ,
2615    ,
2620    ,
2625    ,
2630    ,
2634    ,
2639    ,
2644    ,
2649    ,
2654    ,
2659    ,
2664    ,
2669    ,
2674    ,
2678    ,
2683    ,
2688    ,
2693    ,
2698    ,
2703    ,
2708    ,
2713    ,
2717    ,
2722    ,
2727    ,
2732    ,
2737    ,
2742    ,
2747    ,
2752    ,
2757    ,
2761    ,
2766    ,
2771    ,
2776    ,
2781    ,
2786    ,
2791    ,
2796    ,
2801    ,
2805    ,
2810    ,
2815    ,
2820    ,
2825    ,
2830    ,
2835    ,
2840    ,
2845    ,
2849    ,
2854    ,
2859    ,
2864    ,
2869    ,
2874    ,
2879    ,
2884    ,
2889    ,
2893    ,
2898    ,
2903    ,
2908    ,
2913    ,
2918    ,
2923    ,
2928    ,
2933    ,
2937    ,
2942    ,
2947    ,
2952    ,
2957    ,
2962    ,
2967    ,
2972    ,
2977    ,
2981    ,
2986    ,
2991    ,
2996    ,
3001    ,
3006    ,
3011    ,
3016    ,
3021    ,
3025    ,
3030    ,
3035    ,
3040    ,
3045    ,
3050    ,
3055    ,
3060    ,
3065    ,
3069    ,
3074    ,
3079    ,
3084    ,
3089    ,
3094    ,
3099    ,
3104    ,
3109    ,
3113    ,
3118    ,
3123    ,
3128    ,
3133    ,
3138    ,
3143    ,
3148    ,
3152    ,
3157    ,
3162    ,
3167    ,
3172    ,
3177    ,
3182    ,
3187    ,
3192    ,
3196    ,
3201    ,
3206    ,
3211    ,
3216    ,
3221    ,
3226    ,
3231    ,
3236    ,
3240    ,
3245    ,
3250    ,
3255    ,
3260    ,
3265    ,
3270    ,
3275    ,
3280    ,
3284    ,
3289    ,
3294    ,
3299    ,
3304    ,
3309    ,
3314    ,
3319    ,
3324    ,
3328    ,
3333    ,
3338    ,
3343    ,
3348    ,
3353    ,
3358    ,
3363    ,
3368    ,
3372    ,
3377    ,
3382    ,
3387    ,
3392    ,
3397    ,
3402    ,
3407    ,
3412    ,
3416    ,
3421    ,
3426    ,
3431    ,
3436    ,
3441    ,
3446    ,
3451    ,
3456    ,
3460    ,
3465    ,
3470    ,
3475    ,
3480    ,
3485    ,
3490    ,
3495    ,
3500    ,
3504    ,
3509    ,
3514    ,
3519    ,
3524    ,
3529    ,
3534    ,
3539    ,
3543    ,
3548    ,
3553    ,
3558    ,
3563    ,
3568    ,
3573    ,
3578    ,
3583    ,
3587    ,
3592    ,
3597    ,
3602    ,
3607    ,
3612    ,
3617    ,
3622    ,
3627    ,
3631    ,
3636    ,
3641    ,
3646    ,
3651    ,
3656    ,
3661    ,
3666    ,
3671    ,
3675    ,
3680    ,
3685    ,
3690    ,
3695    ,
3700    ,
3705    ,
3710    ,
3715    ,
3719    ,
3724    ,
3729    ,
3734    ,
3739    ,
3744    ,
3749    ,
3754    ,
3759    ,
3763    ,
3768    ,
3773    ,
3778    ,
3783    ,
3788    ,
3793    ,
3798    ,
3803    ,
3807    ,
3812    ,
3817    ,
3822    ,
3827    ,
3832    ,
3837    ,
3842    ,
3847    ,
3851    ,
3856    ,
3861    ,
3866    ,
3871    ,
3876    ,
3881    ,
3886    ,
3891    ,
3895    ,
3900    ,
3905    ,
3910    ,
3915    ,
3920    ,
3925    ,
3930    ,
3935    ,
3939    ,
3944    ,
3949    ,
3954    ,
3959    ,
3964    ,
3969    ,
3974    ,
3978    ,
3983    ,
3988    ,
3993    ,
3998    ,
4003    ,
4008    ,
4013    ,
4018    ,
4022    ,
4027    ,
4032    ,
4037    ,
4042    ,
4047    ,
4052    ,
4057    ,
4062    ,
4066    ,
4071    ,
4076    ,
4081    ,
4086    ,
4091    ,
4096    ,
4101    ,
4106    ,
4110    ,
4115    ,
4120    ,
4125    ,
4130    ,
4135    ,
4140    ,
4145    ,
4150    ,
4154    ,
4159    ,
4164    ,
4169    ,
4174    ,
4179    ,
4184    ,
4189    ,
4194    ,
4198    ,
4203    ,
4208    ,
4213    ,
4218    ,
4223    ,
4228    ,
4233    ,
4238    ,
4242    ,
4247    ,
4252    ,
4257    ,
4262    ,
4267    ,
4272    ,
4277    ,
4282    ,
4286    ,
4291    ,
4296    ,
4301    ,
4306    ,
4311    ,
4316    ,
4321    ,
4326    ,
4330    ,
4335    ,
4340    ,
4345    ,
4350    ,
4355    ,
4360    ,
4365    ,
4370    ,
4374    ,
4379    ,
4384    ,
4389    ,
4394    ,
4399    ,
4404    ,
4409    ,
4413    ,
4418    ,
4423    ,
4428    ,
4433    ,
4438    ,
4443    ,
4448    ,
4453    ,
4457    ,
4462    ,
4467    ,
4472    ,
4477    ,
4482    ,
4487    ,
4492    ,
4497    ,
4501    ,
4506    ,
4511    ,
4516    ,
4521    ,
4526    ,
4531    ,
4536    ,
4541    ,
4545    ,
4550    ,
4555    ,
4560    ,
4565    ,
4570    ,
4575    ,
4580    ,
4585    ,
4589    ,
4594    ,
4599    ,
4604    ,
4609    ,
4614    ,
4619    ,
4624    ,
4629    ,
4633    ,
4638    ,
4643    ,
4648    ,
4653    ,
4658    ,
4663    ,
4668    ,
4673    ,
4677    ,
4682    ,
4687    ,
4692    ,
4697    ,
4702    ,
4707    ,
4712    ,
4717    ,
4721    ,
4726    ,
4731    ,
4736    ,
4741    ,
4746    ,
4751    ,
4756    ,
4761    ,
4765    ,
4770    ,
4775    ,
4780    ,
4785    ,
4790    ,
4795    ,
4800    ,
4804    ,
4809    ,
4814    ,
4819    ,
4824    ,
4829    ,
4834    ,
4839    ,
4844    ,
4848    ,
4853    ,
4858    ,
4863    ,
4868    ,
4873    ,
4878    ,
4883    ,
4888    ,
4892    ,
4897    ,
4902    ,
4907    ,
4912    ,
4917    ,
4922    ,
4927    ,
4932    ,
4936    ,
4941    ,
4946    ,
4951    ,
4956    ,
4961    ,
4966    ,
4971    ,
4976    ,
4980    ,
4985    ,
4990    ,
4995    ,
5000 };
