/*
	filename here

	Copyright (c) 2000, Peter Siebold

	This file is part of the aems555 project.

	aems555 software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	aems555 software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any aems555 software.  If not, see <http://www.gnu.org/licenses/>.
	
	Many thanks to Peter Siebold for allowing us to redistribute his code under GPL!
*/


/*----------------------------------------------------------------------------------**
** Copyright (c) 2000, Peter Siebold                                                **
** All rights reserved.                                                             **
** Redistribution and use in source and binary forms, with or without modification, **
** are permitted provided that the following conditions are met:                    **
**                                                                                  **
**                                                                                  **
** Redistributions of source code must retain the above copyright notice, this list **
**  of conditions and the following disclaimer.                                     **
**                                                                                  **
** Redistributions in binary form must reproduce the above copyright notice, this   **
** list of conditions and the following disclaimer in the documentation and/or      **
** other materials provided with the distribution.                                  **
**                                                                                  **
** Neither the name of "aems555" nor the names of its contributors may be used      **
** to endorse or promote products derived from this software without specific prior **
** written permission.                                                              **
**                                                                                  **
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''    **
** AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE        **
** IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE   **
** DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY      **
** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES       **
** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;     **
** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON   **
** ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          **
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS    **
** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                     **
**----------------------------------------------------------------------------------**                 
**																					**
**----------------------------------------------------------------------------------**
**    EFI code for the ppc555														**
**																					**
**	File:		crt0.c																**
**	Desc:		Support for the PB0555 from Axiom Manufacturing						**
**																					**
**																					**
**	Author:		Peter Siebold														**
**	Tools:   	GNU tool chain														**
**																					**
**----------------------------------------------------------------------------------*/


extern void __main(void);

extern char __DATA_ROM_START[];
extern char __DATA_RAM_START[];
extern char __DATA_RAM_END[];
extern char __DATA_RAM_SIZE[];
extern char __BSS_START[];
extern char __BSS_END[];
extern char __BSS_SIZE[];


extern unsigned int ramerror1;
extern unsigned int ramerror2;

void __init_main(void)
{

    char* endptr;						  
	char* srcptr;
	char* destptr;

#define RAMSTART	0x3FF000
#define RAMSIZE		0x5E00
#define RAMEND		0x3FF000 + RAMSIZE


	/*
	must use registers for this because all ram is written with 0x00
	and values would be destroyed.
	*/	
	
	register ramcount;
	register r_ramerror1, r_ramerror2;



	/*
	First check ram by writing 0x00 to each used byte
	*/	

	r_ramerror1 = (unsigned short)0;
	r_ramerror2 = (unsigned short)0;
	ramcount = (unsigned short)0;

	while(ramcount <= RAMSIZE)
	{
		*(unsigned char*)(unsigned int)(RAMSTART + ramcount) = (unsigned char)0xFF;
		if(*(unsigned char*)(unsigned int)(RAMSTART + ramcount) != (unsigned char)0xFF) r_ramerror1++;
		
		*(unsigned char*)(unsigned int)(RAMSTART + ramcount) = (unsigned char)0x00;
		if(*(unsigned char*)(unsigned int)(RAMSTART + ramcount) != (unsigned char)0x00) r_ramerror2++;

		ramcount++;		

	}

	
	/*
	copy number of ram errors into global location from temp registers
	*/

	ramerror1 = (unsigned int)r_ramerror1;
	ramerror2 = (unsigned int)r_ramerror2;


	srcptr = __DATA_ROM_START;
	destptr = __DATA_RAM_START;


	while(destptr < __DATA_RAM_END)
    {
		//copy rom data into ram
		*destptr = *srcptr;
		destptr++;
		srcptr++;
	}



	/*
	XXX unimplemented, and not tested
	
	srcptr = __BSS_START;
	
	while(srcptr <= __BSS_END)
	{
		*srcptr = (char)0x00;
		srcptr++;
	}

	*/


	/*
	finally a call to __main.
	*/
	__main();


} /* End of function __init_main */ 	
		
