/*
	filename here

	Copyright (c) 2000, Peter Siebold

	This file is part of the aems555 project.

	aems555 software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	aems555 software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any aems555 software.  If not, see <http://www.gnu.org/licenses/>.
	
	Many thanks to Peter Siebold for allowing us to redistribute his code under GPL!
*/


/* ===========================================================================
	gnu.h
	------
    A header file for gnu compiled source code

 (C) Copyright 1999 Axiom Manufacturing.  All rights reserved.
 ============================================================================*/

#ifndef D_gnu
#define D_gnu

/*------------
 CONSTANTS
------------*/

typedef unsigned char UNS8;
typedef unsigned short UNS16;
typedef unsigned long UNS32;

typedef unsigned char BOOL;	   /* unsigned 8 bits      */
typedef unsigned int UINT32;   /* unsigned int 32 bits */
typedef int SINT32; 		   /* signed int 32 bits   */
typedef unsigned short UINT16; /* unsigned int 16 bits */
typedef short SINT16; 		   /* signed int 16 bits   */
typedef unsigned char UINT8;   /* unsigned int 8 bits  */
typedef char SINT8;    	       /* signed int 8 bits    */

typedef volatile unsigned char VUNS8;
typedef volatile unsigned short VUNS16;
typedef volatile unsigned long VUNS32;

typedef unsigned char* UNS8P;

#define TRUE 1
#define FALSE 0
#define NULL 0

#define put8(p, x)	((*((volatile UNS8*)(p))) = (x))
#define put16(p, x)	((*((volatile UNS16*)(p))) = (x))
#define put32(p, x)	((*((volatile UNS32*)(p))) = (x))

#define get8(p)		(*((volatile UNS8*)(p)))
#define get16(p)	(*((volatile UNS16*)(p)))
#define get32(p)	(*((volatile UNS32*)(p)))


#endif // D_gnu


